nxt.http

## Class CurrencySell

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CreateTransaction
    - - nxt.http.CurrencySell

-     public final class CurrencySell
      extends CreateTransaction

  Sell currency for coin

  Parameters

  - currency - currency id
  - rateNQTPerUnit - exchange rate between coin amount and currency units
  - unitsQNT - number of units to sell

  The currency sell transaction attempts to match existing exchange offers. When a match is found, the minimum number of units between the number of units offered and the units requested are exchanged at a rate matching the lowest buy offer
  A single transaction can match multiple buy offers or none. Unlike asset ask order, currency sell is not saved. It's either executed immediately (fully or partially) or not executed at all. For every match between buyer and seller an exchange record is saved, exchange records can be retrieved using the `GetExchanges` API

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.http.CreateTransaction

      `CreateTransaction.CreateTransactionParameters`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest req)`

    - ### Methods inherited from class nxt.http.CreateTransaction

      `allowRequiredBlockParameters, createTransaction, getCommonParameters, isChainSpecific, requirePost, transactionParameters`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isIgnisOnly, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest req)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`